<* STANDARD- *> <* MAIN- *> <* INITIALISE- *>

MODULE OLPrefsStrings;
(****************************************************************

   This file was created automatically by `FlexCat 1.5'
   Do NOT edit by hand!
   Oberon-A source description C 1994 by Albert Weinert
   Using with Oberon-A Interfaces for AmigaOS Release 3.1
   Modified for Oberon-A 1.5 by Frank Copeland

   Application: OLPrefsStrings
   Language   : "english"
   Version    : 1
   Description: OBERON-A:Catalogs/OLPrefsStrings.cd

****************************************************************)

IMPORT
  lo := Locale, e := Exec, u := Utility, y := SYSTEM;

CONST
  builtinlanguage = "english";
  version = 1;

CONST
  msg1* = 0;
  msg2* = 1;
  msg3* = 2;
  msg4* = 3;
  msg5* = 4;
  msg6* = 5;
  msg7* = 6;
  msg8* = 7;
  msg9* = 8;
  msg10* = 9;
  msg11* = 10;
  msg12* = 11;

TYPE
  AppString = RECORD;
     id  : LONGINT;
     str : e.LSTRPTR;
  END;
  AppStringArray = ARRAY 12 OF AppString;

VAR
  AppStrings : AppStringArray;
  catalog : lo.CatalogPtr;

  PROCEDURE SetStrings;
    BEGIN
      AppStrings[0].id := msg1; AppStrings[0].str := y.ADR( " !! Arguments ALINK, BLINK and DLINK are mutually exclusive\n" );
      AppStrings[1].id := msg2; AppStrings[1].str := y.ADR( " !! Arguments VERBOSE and QUIET are mutually exclusive\n" );
      AppStrings[2].id := msg3; AppStrings[2].str := y.ADR( " !! Arguments MAKEICONS and NOICONS are mutually exclusive\n" );
      AppStrings[3].id := msg4; AppStrings[3].str := y.ADR( " !! Arguments SCAN and NOSCAN are mutually exclusive\n" );
      AppStrings[4].id := msg5; AppStrings[4].str := y.ADR( " !! Arguments LINK and NOLINK are mutually exclusive\n" );
      AppStrings[5].id := msg6; AppStrings[5].str := y.ADR( "Preferences file: " );
      AppStrings[6].id := msg7; AppStrings[6].str := y.ADR( "See OLPrefs.doc for conditions of use\n" );
      AppStrings[7].id := msg8; AppStrings[7].str := y.ADR( " !! Settings saved to '%s'\n" );
      AppStrings[8].id := msg9; AppStrings[8].str := y.ADR( " !! Could not create '%s'\n" );
      AppStrings[9].id := msg10; AppStrings[9].str := y.ADR( " !! Could not create icon for '%s'\n" );
      AppStrings[10].id := msg11; AppStrings[10].str := y.ADR( " !! Could not obtain icon\n" );
      AppStrings[11].id := msg12; AppStrings[11].str := y.ADR( " !! Too many arguments: select only one prefs file\n" );
    END SetStrings;

  PROCEDURE CloseCatalog*();
    BEGIN
      IF catalog # NIL THEN lo.CloseCatalog (catalog); catalog:=NIL END;
   END CloseCatalog;

  PROCEDURE OpenCatalog*(loc:lo.LocalePtr; language:ARRAY OF CHAR);
    VAR Tag : ARRAY 4 OF u.TagItem;
    BEGIN
      CloseCatalog();
      IF (catalog = NIL) & (lo.base # NIL) THEN
        Tag[0].tag := lo.builtInLanguage; Tag[0].data := y.ADR( builtinlanguage );
        Tag[1].tag := u.ignore;           Tag[1].data := y.ADR( language );
        Tag[2].tag := lo.version;         Tag[2].data := version;
        Tag[3].tag := u.done;

        IF language # "" THEN
          Tag[1].tag:= lo.language;
        END;
        catalog := lo.OpenCatalogA (loc, "OLPrefsStrings.catalog", Tag);
      END;
    END OpenCatalog;

  PROCEDURE GetString* (num: LONGINT): e.LSTRPTR;
    VAR
      i: LONGINT;
      default: e.LSTRPTR;
    BEGIN
      i := 0; WHILE (i < 12) & (AppStrings[i].id # num) DO INC (i) END;

      IF i # 12 THEN
        default := AppStrings[i].str;
      ELSE
        default := NIL;
      END;

      IF catalog # NIL THEN
        RETURN lo.GetCatalogStr (catalog, num, default^);
      ELSE
        RETURN default;
      END;
    END GetString;

BEGIN
  catalog := NIL;
  SetStrings;
END OLPrefsStrings.

